"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb240>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb2e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb380>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb420>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb4c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb560>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb600>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb6a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb740>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb7e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb880>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb920>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bb9c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bba60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbb00>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbba0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbc40>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbce0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbd80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbe20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbec0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbc2bbf60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84040>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa840e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84180>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84220>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa842c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84360>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84400>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa844a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84540>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa845e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84680>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84720>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa847c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84860>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84900>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa849a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84a40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84ae0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84b80>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84c20>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84cc0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84d60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84e00>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84ea0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84f40>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa84fe0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85080>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85120>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa851c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85260>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85300>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa853a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85440>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa854e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85580>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85620>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa856c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85760>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85800>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa858a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85940>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa859e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85a80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85b20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85bc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85c60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85d00>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85da0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85e40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85ee0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa85f80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86020>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa860c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86160>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86200>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa862a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86340>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa863e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86520>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86480>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa865c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86660>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6dbaa86700>)]
name: str = 'fr_HOCCN'
